Subject: Re: [PATCH] keep track of network interface renaming

From: Patrick McHardy <[email-masked]>
Date: Wed, 16 Aug 2006 04:35:39 +0200

Olaf Hering wrote:
> Keep track about which network interface names were renamed after the
> network device driver printed its banner. Previous kernel names will
> be reused when new interfaces get registerd.
> Recent udev scripts implement a stable kernel device name for network
> interfaces.
> This printk avoids confusion about what network hardware maps to what
> kernel interface in later driver or network stack messages.

I think it would be even easier to follow, especially with many devices,
if some stable identifier was included in messages relating to network
devices, like ifindex or maybe the LL address. And it would avoid
spamming the ringbuffer for people making use of this to implement
alternative naming schemes.